Subject: Re: Looking for a mail server
From: Andrew DeFaria <[email-masked]>
To: [email-masked]
Date: Fri, 15 Mar 2002 11:51:13 -0800
Newsgroups: gmane.os.cygwin

Gerrit P. Haase wrote:

> Andrew,
> 
> 
>>>>Downloaded exim and attempted to build it. There is support
>>>>for a Cygwin build. However:
>>>>
> 
>>>>gcc -c -g -Wall  exim_dbmbuild.c
>>>>In file included from exim_dbmbuild.c:30:
>>>>exim.h:197: arpa/nameser.h: No such file or directory
>>>>exim.h:238: resolv.h: No such file or directory
>>>>make[1]: *** [exim_dbmbuild] Error 1
>>>>
> 
>>>>So where is arpa/nameser.h and resolv.h?
>>>>
> 
>>>They are in bind.  The 8.x series builds OOTB on Cygwin.
>>>You need also the libs.  There is also a binary port
>>>somewhere on the net, IIRC it was somewhere on Sourceforge.
>>>
> 
> Ah, now I see, exim-4.x is on the run...
> 
> LIBS= -lcrypt -liphlpapi # Windows library to find interfaces
> LIBRESOLV= -lminires
> 
> You will need the libs from Pierre:
> ftp://ftp.uni-erlangen.de/pub/pc/gnuwin32/cygwin/porters/Humblet_Pierre_A/V1.1/

Eventually found Pierre's stuff, hooked up with Pierre himself (nice, 
helpful guy) and got it going a little bit. Now to do some more research 
and tweaking around. Like I would like to have everything sent to all 
users in my "domain" delivered to me. Actually I would like to have 
things delivered to valid users to them and everything else delivered to 
me. I'm sure it's simply a matter a learning the proper configuration to 
do this.

On another note, suddenly the IMAP daemon I had set up and had been 
successfully running now coredumps!

But I'm getting closer...

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/